Update Portal Domain
curl --request PATCH \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_ids": [
"<string>"
],
"confirmation_code_links": true
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}"
payload = {
"template_ids": ["<string>"],
"confirmation_code_links": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_ids: ['<string>'], confirmation_code_links: true})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'template_ids' => [
'<string>'
],
'confirmation_code_links' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}"
payload := strings.NewReader("{\n \"template_ids\": [\n \"<string>\"\n ],\n \"confirmation_code_links\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"template_ids\": [\n \"<string>\"\n ],\n \"confirmation_code_links\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_ids\": [\n \"<string>\"\n ],\n \"confirmation_code_links\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"hostname": "<string>",
"status": "pending",
"routing_enabled": true,
"dns_record": {
"type": "A",
"name": "<string>",
"value": "<string>"
},
"verification_records": [
{
"type": "<string>",
"domain": "<string>",
"value": "<string>",
"reason": "<string>"
}
],
"vercel_verified": true,
"dns_configured": true,
"confirmation_code_links": true,
"template_ids": [
"<string>"
],
"error_code": "<string>",
"error_message": "<string>",
"last_checked_at": 123,
"created_at": 123,
"updated_at": 123
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Custom domains
Update a custom domain
Change the templates a hostname serves or its confirmation-code links.
PATCH
/
v1
/
workspaces
/
{workspace_id}
/
portal-domains
/
{domain_id}
Update Portal Domain
curl --request PATCH \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_ids": [
"<string>"
],
"confirmation_code_links": true
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}"
payload = {
"template_ids": ["<string>"],
"confirmation_code_links": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_ids: ['<string>'], confirmation_code_links: true})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'template_ids' => [
'<string>'
],
'confirmation_code_links' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}"
payload := strings.NewReader("{\n \"template_ids\": [\n \"<string>\"\n ],\n \"confirmation_code_links\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"template_ids\": [\n \"<string>\"\n ],\n \"confirmation_code_links\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-domains/{domain_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_ids\": [\n \"<string>\"\n ],\n \"confirmation_code_links\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"hostname": "<string>",
"status": "pending",
"routing_enabled": true,
"dns_record": {
"type": "A",
"name": "<string>",
"value": "<string>"
},
"verification_records": [
{
"type": "<string>",
"domain": "<string>",
"value": "<string>",
"reason": "<string>"
}
],
"vercel_verified": true,
"dns_configured": true,
"confirmation_code_links": true,
"template_ids": [
"<string>"
],
"error_code": "<string>",
"error_message": "<string>",
"last_checked_at": 123,
"created_at": 123,
"updated_at": 123
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1Portal domain identifier from list_portal_domains
Minimum string length:
1Body
application/json
Portal templates whose links use this hostname. Empty makes it the default hostname for templates without their own.
Minimum string length:
1Use booking confirmation codes in portal links on this hostname. Turning it off breaks links that already use a confirmation code.
Response
Update Portal Domain
Show child attributes
Show child attributes
Was this page helpful?